import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Layouts 1.2

Rectangle {
    width: 320
    height: 200
    color: "black"

    property alias image1: image1
    property alias mouseArea1: mouseArea1

    Image {
        id: image1
        anchors.fill: parent
        fillMode: Image.PreserveAspectFit
        cache: false
        clip: true
        smooth: false
        horizontalAlignment: Image.AlignHCenter
        verticalAlignment: Image.AlignVCenter
        source: "image://myimageprovider/0"

        MouseArea {
            id: mouseArea1
            anchors.fill: parent
            hoverEnabled: true
            acceptedButtons: Qt.LeftButton | Qt.RightButton
        }
    }
}

